SAP Hybris - Developer Toolset

Details Group Tabs

ccaprar's picture

Hi, first of all great work with the plugin, we were using it with pleasure so far.

Lately, the plugin seems to experience very strange issues. We have a fairly large project (100+ extensions) and when trying to import the localextensions.xml in Eclipse using the plugin, it correctly detects the needed extensions, but then it does import only the platform. No error is given.

Eclipse seems to be still doing something, because the busy icon appears often and also if trying to add manually an extension project from the file system, the plugin throws a ConcurrentModificationException.

We are running Eclipse Oxygen on MacOS latest, with Java8 latest (131).

Any idea of what could make the plugin malfunction would be greatly appreciated.

Thank you,

Cristi C.

esystems's picture

Hi, thank your for your feedback.

Unfortunetly we are not supporting officialy Oxegen yet.

We know that there are situations when ConcurrentModificationException can occured. We will try to fix that in our next release.

Sorry for inconvinience.

mkakkireni's picture

Hi, 

I have HAC in my local with URL : (9002/hac)

I have updated the url in eclipse hybris configuration, when I try to run any type query I am getting error dialog box displaying "1" and I don't see anything apart from that.

 

I have tried the same on another hybris instance in my local which has HAC url : (19002)

With this url, I am able to execure queries by using eclipse-hybris plugin.

 

Please let me know.

esystems's picture

Hi,

if you mean that you have hybris running on localhost and 9002 port, and your hac webroot us /hac, so try to set the property like this "https://localhost:9002/hac"

mkakkireni's picture

Hi,

Yes I have given the expected URL , but I am getting error dialog box with value 1 WHEN i TRY TO RUN THE QUERY.

dboydyf2's picture

Using the lastest version of Eclipse - the plugin will not install.  Receive error:

 

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.epam.yplugin,1.0.0
No repository found containing: org.eclipse.update.feature,com.epam.yplugin.feature,1.0.0

esystems's picture

Hi. Sorry for inconvenience,
That was temporary issue for some users and has been fixed already.

spandaykn's picture

I am getting "HTTP/1.1 403 Forbidden" error while running impex in linux.